Bug 504109 - [fix available][ooimpress] "Find All" in "Edit->Find & Replace" can never be enabled
[fix available][ooimpress] "Find All" in "Edit->Find & Replace" can never be ...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: David Tardon
Depends On:
  Show dependency treegraph
Reported: 2009-06-04 05:32 EDT by Yewei Shao
Modified: 2010-03-30 04:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-30 04:45:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backported patch (1.31 KB, patch)
2009-06-12 08:21 EDT, David Tardon
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 46270 None None None Never

  None (edit)
Description Yewei Shao 2009-06-04 05:32:27 EDT
Description of problem:
When using "Edit -> Find & Replace" in ooimpress, the button of the "Find All" can not be selected, it shows gray.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Lauch a ooimpress, and type some characters in it, like "hello hello hello world world world"
2. Go to "Edit -> Find & Replace", type "hello" in "Search for", and type "my" in "Relace with"
3. Repeat the step 1 and 2, and using oowriter instead of ooimpress.
Actual results:
You will see the "Find All" option is gray, and this function in oowriter can be selected.

Expected results:
Both in oowriter and ooimpress, the "Find All" can be use.

Additional info:
Comment 1 Caolan McNamara 2009-06-04 05:49:04 EDT
See help: "Finds and selects all instances of the text or the format that you are searching for in the document (only in Writer and Calc documents)." So not a bug.

That said, it'd be a whole lot cleverer to just not show the "find all" button in impress/draw
Comment 2 Caolan McNamara 2009-06-04 06:24:09 EDT
The argument in http://www.openoffice.org/issues/show_bug.cgi?id=46270 looks bogus to me, the real reason is presumably because there are multiple edit-engines, and it's not possible to have more than one active at a time. replace-all can go through them sequentially, but a find-all would have to have them all active at the same time (i.e. to support find-all to select all of them and press delete to delete them all). Calc gets around this by having find-all find all the *cells* that contain that text and selecting those, not the individual content within those cells

Powerpoint doesn't have a find-all so we're not loosing out in the competitiveness stakes on that front.

Best thing to do is probably just remove the button for draw/impress instead of disabling it

caolanm->dtardon: can you have a look at removing the "find all" for draw/impress, file a patch upstream, bung it into devel. afterwards I think we'll dev nack this one for RHEL-5 as its too minor to be worth it for any future errata
Comment 3 David Tardon 2009-06-04 06:30:51 EDT
dtardon->caolanm: aye aye, sir
Comment 4 Caolan McNamara 2009-06-08 11:28:50 EDT
setting this to assigned
Comment 6 Caolan McNamara 2009-06-12 05:15:09 EDT
*shrug*, well it was reported against RHEL-5 and we're technically capable of fixing it, so I guess we'll ack it after all.
Comment 7 David Tardon 2009-06-12 08:21:58 EDT
Created attachment 347538 [details]
backported patch
Comment 9 koka xiong 2009-12-29 03:47:33 EST
Verified with openoffice.org-3.1.1-19.1.el5
Red Hat Enterprise Linux 5Client - i386, x86_64
Red Hat Enterprise Linux 5Server-DPAS - i386, x86_64
1.Launch ooimpress, oodraw
2.Go to  "Edit -> Find & Replace"
3.Notice the "Find All" button is removed from ooimpress and oodraw.

Verified passed.
Comment 11 errata-xmlrpc 2010-03-30 04:45:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.